summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* media-sound/xmms2: update from python-any-r1 to python-single-r1Sergei Trofimovich2016-05-211-0/+295
| | | | | | | Reported-by: James Le Cuirot Bug: https://bugs.gentoo.org/583606 Package-Manager: portage-2.3.0_rc1
* dev-ruby/uglifier: add ~arm, bug #582872Markus Meier2016-05-211-1/+1
| | | | | Package-Manager: portage-2.3.0_rc1 RepoMan-Options: --include-arches="arm"
* dev-ruby/sourcemap: add ~arm, bug #582872Markus Meier2016-05-211-1/+1
| | | | | Package-Manager: portage-2.3.0_rc1 RepoMan-Options: --include-arches="arm"
* x11-libs/cairo: arm stable, bug #582144Markus Meier2016-05-211-2/+2
| | | | | Package-Manager: portage-2.3.0_rc1 RepoMan-Options: --include-arches="arm"
* media-fonts/noto: arm stable, bug #582142Markus Meier2016-05-211-1/+1
| | | | | Package-Manager: portage-2.3.0_rc1 RepoMan-Options: --include-arches="arm"
* media-fonts/umeplus-fonts: new upstream releaseAkinori Hattori2016-05-212-0/+20
| | | | | | Gentoo-Bug: 572248 Package-Manager: portage-2.2.28
* dev-ruby/activejob: cleanupHans de Graaff2016-05-213-90/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/actionview: cleanupHans de Graaff2016-05-215-198/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/activeresource: cleanupHans de Graaff2016-05-212-45/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/activesupport: cleanupHans de Graaff2016-05-216-309/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/activemodel: cleanupHans de Graaff2016-05-216-232/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/actionpack: cleanupHans de Graaff2016-05-216-307/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/actionmailer: cleanupHans de Graaff2016-05-216-213/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/activerecord: cleanupHans de Graaff2016-05-216-366/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/railties: cleanupHans de Graaff2016-05-216-375/+0
| | | | Package-Manager: portage-2.2.28
* dev-ruby/rails: cleanupHans de Graaff2016-05-216-220/+0
| | | | Package-Manager: portage-2.2.28
* media-fonts/mplus-outline-fonts: new upstream releaseAkinori Hattori2016-05-212-0/+47
| | | | Package-Manager: portage-2.2.28
* www-apps/airdcpp-webui: remove oldLouis Sautier2016-05-212-24/+0
| | | | | | | Package-Manager: portage-2.3.0_rc1 Closes: https://github.com/gentoo/gentoo/pull/1497 Signed-off-by: Ian Delaney <idella4@gentoo.org>
* www-apps/airdcpp-webui: bump to 1.0.6Louis Sautier2016-05-212-0/+24
| | | | | | | Package-Manager: portage-2.3.0_rc1 Closes: https://github.com/gentoo/gentoo/pull/1497 Signed-off-by: Ian Delaney <idella4@gentoo.org>
* www-apps/airdcpp-webui: update HOMEPAGELouis Sautier2016-05-213-3/+3
| | | | | | | Package-Manager: portage-2.3.0_rc1 Closes: https://github.com/gentoo/gentoo/pull/1497 Signed-off-by: Ian Delaney <idella4@gentoo.org>
* app-i18n/skk-jisyo: switch to virtual/awkAkinori Hattori2016-05-212-4/+4
| | | | Package-Manager: portage-2.2.28
* dev-ruby/websocket-driver: add 0.6.4Hans de Graaff2016-05-212-0/+40
| | | | Package-Manager: portage-2.2.28
* dev-ruby/hpricot: drop ruby19Hans de Graaff2016-05-211-2/+2
| | | | Package-Manager: portage-2.2.28
* dev-ruby/rinku: add 2.0.0Hans de Graaff2016-05-212-0/+33
| | | | Package-Manager: portage-2.2.28
* dev-libs/wlc: use new X configure option in live ebuildJasen Borisov2016-05-211-2/+2
| | | | | | | | | Upstream changed the way how to configure X11 support. Package-Manager: portage-2.3.0_rc1 Closes: https://github.com/gentoo/gentoo/pull/1499 Signed-off-by: Ian Delaney <idella4@gentoo.org>
* www-apps/kibana-bin: bump to 4.1.7/4.5.1, drop oldTomas Mozes2016-05-214-73/+4
| | | | | | | Package-Manager: portage-2.3.0_rc1 Closes: https://github.com/gentoo/gentoo/pull/1491 Signed-off-by: Ian Delaney <idella4@gentoo.org>
* net-analyzer/net-snmp: Add revbump with fixes for Perl 5.24, bug 582368Andreas K. Hüttel2016-05-212-0/+194
| | | | Package-Manager: portage-2.3.0_rc1
* package.mask: add my name to dev-perl/Archive-Rar maskAndreas K. Hüttel2016-05-211-0/+1
|
* dev-perl/WWW-Pastebin-PastebinCom-Create: Remove oldAndreas K. Hüttel2016-05-213-58/+0
| | | | Package-Manager: portage-2.2.28
* dev-perl/Business-Tax-VAT-Validation: Bump to version 1.100.0Kent Fredric2016-05-212-0/+28
| | | | | | | | | | | | | - EAPI6 - Add USE="examples" - Cleanup POD Tests Upstream: - Support for Irish VAT - Recognize Croatia as EU Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/Business-ISBN-Data: Bump to version 20140910.3.0Kent Fredric2016-05-213-1/+35
| | | | | | | | | | | | - EAPI6 - Purge useless .pl scripts from tree - Purge useless POD tests Upstream: - Packaging fixes. Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/BSD-Resource: Bump to version 1.290.900Kent Fredric2016-05-212-0/+23
| | | | | | | | | | | | - EAPI6 - Prune Useless tests Upstream: - Fixed RLIMIT_ implementations to work - Add RLIMIT_NPTS Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/Bio-ASN1-EntrezGene: Bump to version 1.700.0Kent Fredric2016-05-212-0/+36
| | | | | | | | | | | | | | - EAPI6 - Add USE="examples" - Fix broken DEPEND/RDEPEND inversion. - Prune useless tests Upstream: - Avoid segfault running parser and run faster w/ very long URLs in entries. - Added support for parsing EntrezeGene-set Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/B-Hooks-EndOfScope: Bump to version 0.200.0Kent Fredric2016-05-212-0/+32
| | | | | | | | | | | | | | - EAPI6 - Add missing but necessary dependency on dev-perl/Variable-Magic Upstream: - Now uses (inlined) ExtUtils::HasCompiler instead of depending on a (buggy) ExtUtils::CBuilder Keywords: - Dropped due to Variable-Magic: ~alpha ~ia64 ~ppc64 ~sparc Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/Lexical-SealRequireHints: Bump to version 0.10.0Kent Fredric2016-05-213-0/+36
| | | | | | | | | | | - EAPI6 - Strip Pod tests. Upstream: - Fix test failure on Perl 5.24 due to lexical $_ no longer being supported. Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/GD: Fix freetype dependent tests for 2.560.0Kent Fredric2016-05-213-2/+45
| | | | | | | | | | | | | Upstream notes in relevant bug https://rt.cpan.org/Ticket/Display.html?id=106594 that these tests passing is dependent on end users implementation of specific renderings from freetype. As freetype implementations are vendor and configuration specific, pixel-based rendering accuracy can't be reliably tested against a static target, and so this test must be improved or removed in a future release anyway. Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/Business-ISBN: Bump to version 2.90.200_rcKent Fredric2016-05-213-0/+57
| | | | | | | | | | | | | | | - EAPI6 - Exposed USE="xisbn" and USE="barcode" features - Ideally should have bumped to 2.100.0, but upstream broke versioning in ways we cant fix: https://github.com/briandfoy/business-isbn/issues/7 Upstream: - xisbn query URL fixed. - Mojo based xisbn parse/query added. - Added "increment" and "decrement" functions for ISBN iteration. Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/Mojolicious: Added to tree at version 6.610.0Kent Fredric2016-05-213-0/+152
| | | | | | | | | | Required by dev-perl/Business-ISBN Previously maintained in perl-experimental since March 2010 by Dmyro Gorbunov, Kent Fredric, Michele Beltrame and Torsten Veller Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* profiles: package.mask dev-perl/Archive-Rar due to bug #483888Kent Fredric2016-05-211-0/+7
| | | | | | | | | | | | Upstream are not "Dead" as such, the maintainer has been seen as recently as last December. But no releases or RT action in 8 years is not positive. Will try hailing author and see if anything is likely to change here or wether we should just cut our losses. Bug: https://bugs.gentoo.org/483888 Bug: https://rt.cpan.org/Ticket/Display.html?id=114246
* dev-perl/WWW-Pastebin-PastebinCom-Create: Exclude network tests.Kent Fredric2016-05-211-0/+35
| | | | | | | | | | | | | -r1 bump required because to detect network options, we need EAPI6-only perl-module.eclass features. But in-place EAPI6 changes are suspected to be dangerous. This module is not so complex, so an -r1 bump should be better than worrying about random breakage. Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/AnyEvent-CacheDNS: Disable tests without explict network grants.Kent Fredric2016-05-211-1/+9
| | | | | | | Testing does DNS lookups, which fail under network-sandboxing. Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* dev-perl/App-Nopaste: Add missing dependenciesAndreas K. Hüttel2016-05-211-1/+2
| | | | Package-Manager: portage-2.2.28
* dev-perl/Test-Deep: Remove oldAndreas K. Hüttel2016-05-213-62/+0
| | | | Package-Manager: portage-2.2.28
* dev-perl/Test-Command-Simple: Remove oldAndreas K. Hüttel2016-05-212-26/+0
| | | | Package-Manager: portage-2.2.28
* dev-haskell/gnutls: drop oldSergei Trofimovich2016-05-202-30/+0
| | | | Package-Manager: portage-2.3.0_rc1
* dev-haskell/gnutls: bump up to 0.2, bug #583416Sergei Trofimovich2016-05-202-0/+30
| | | | | | | | | | | dev-haskell/gnutls-0.1.6 defined bindings to deprecated functions like 'gnutls_certificate_type_set_priority'. Those were removed in recent gnutls versions. Reported-by: Toralf Förster Bug: https://bugs.gentoo.org/583416 Package-Manager: portage-2.3.0_rc1
* app-crypt/acme: Remove oldManuel Rüger2016-05-202-43/+0
| | | | Package-Manager: portage-2.2.28
* app-crypt/letsencrypt-apache: Move package to app-crypt/certbot-apacheManuel Rüger2016-05-202-42/+0
|
* profiles: Move app-crypt/letsencrypt-apache to app-crypt/certbot-apacheManuel Rüger2016-05-201-0/+1
|
* app-crypt/certbot-apache: Package move from app-crypt/letsencrypt-apacheManuel Rüger2016-05-202-0/+42
| | | | Package-Manager: portage-2.2.28